﻿import request from '/@/utils/request';
enum Api {
  AddWcsDevice = '/api/wcsDevice/add',
  DeleteWcsDevice = '/api/wcsDevice/delete',
  UpdateWcsDevice = '/api/wcsDevice/update',
  PageWcsDevice = '/api/wcsDevice/page',
  DetailWcsDevice = '/api/wcsDevice/detail',
  GetWcsPlcPlcIdDropdown = '/api/wcsDevice/WcsPlcPlcIdDropdown',
  GeneratePos = '/api/wcsDevice/GeneratePos',
  ListWcsDevice = '/api/wcsDevice/list',

  GetWcsPackPlcList='/api/wcsDevice/WcsPackPlcList',
  GetWcsPackStationPlcList='/api/wcsDevice/WcsPackStationPlcList',
}

// 增加设备信息
export const addWcsDevice = (params?: any) =>
	request({
		url: Api.AddWcsDevice,
		method: 'post',
		data: params,
	});

// 删除设备信息
export const deleteWcsDevice = (params?: any) => 
	request({
			url: Api.DeleteWcsDevice,
			method: 'post',
			data: params,
		});

// 编辑设备信息
export const updateWcsDevice = (params?: any) => 
	request({
			url: Api.UpdateWcsDevice,
			method: 'post',
			data: params,
		});

// 分页查询设备信息
export const pageWcsDevice = (params?: any) => 
	request({
			url: Api.PageWcsDevice,
			method: 'post',
			data: params,
		});

// 详情设备信息
export const detailWcsDevice = (id: any) => 
	request({
			url: Api.DetailWcsDevice,
			method: 'get',
			data: { id },
		});

export const getWcsPlcPlcIdDropdown = () =>
		request({
		url: Api.GetWcsPlcPlcIdDropdown,
		method: 'get'
		});

export const generatePos = (params?: any) =>
	request({
	url: Api.GeneratePos,
	method: 'post',
	data: params
	});
	
export const listWcsDevice = () =>
	request({
	url: Api.ListWcsDevice,
	method: 'get'
	});


export const GetWcsPackPlcList = () =>
	request({
	url: Api.GetWcsPackPlcList,
	method: 'get'
});

export const GetWcsPackStationPlcList = (params?: any) =>
	request({
	url: Api.GetWcsPackStationPlcList,
	method: 'get',
	data: params
});